﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using ThinkGeo.MapSuite.AndroidEdition;
using ThinkGeo.MapSuite.Core;

namespace MapBoxTest
{
    [Activity(Label = "MapBoxTest", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);

            MapView mapView = FindViewById<MapView>(Resource.Id.androidmap);
            mapView.MapUnit = GeographyUnit.Meter;
            mapView.ZoomLevelSet = new SphericalMercatorZoomLevelSet();
            mapView.CurrentExtent = new RectangleShape(-13086298.60, 7339062.72, -8111177.75, 2853137.62);

            var mapBoxOverlay = new MapBoxOverlay();
            mapBoxOverlay.TileType = TileType.MultiTile;
            mapBoxOverlay.MapId = MapBoxMapId.Satellite;
            mapBoxOverlay.ImageFormat = MapBoxImageFormat.Png;

            //Please set your accesss token.
            mapBoxOverlay.AccessToken = "";
            mapView.Overlays.Add(mapBoxOverlay);

            mapView.Refresh();
        }
    }
}

